/*******************************************************************************
 * Copyright(c) 2022 dongke All rights reserved. / Confidential
 * 类的信息：
 *		1.程序名称：
 *		2.客户收支表
 * 编辑履历：
 *		作者				日期					版本				修改内容
 *		刘尧		        2024-06-05	            1.00		   	    
 *******************************************************************************/
const Constants = require('@/utils/Constants.js');
const util = require('@/utils/util.js')
const app = getApp()
const mixins = require('@/mixins/index.js')

Page({
  mixins: [mixins],
  /**
   * 页面的初始数据
   */
  data: {
    placeholder: "请输入客户名称/电话/地址",
    searchContent: [{
      code: 'makeTime',
      title: mixins.$t('currentMonth'),
      searchType: Constants.searchType.date
    }, {
      code: 'staff',
      title: mixins.$t('staffId'),
      dropType: 'staff'
    }, {
      code: 'org',
      title: mixins.$t('orgId'),
      dropType: 'org'
    }, {
      code: 'recType',
      title: mixins.$t('docClass'),
      dropType: 'recType'
    }],
    cardDate: [],
    otherSearchParams: {
      documentTypes: [],
      objectId: null,
      staffId: null,
      orgId: null
    },
    // 路由
    routeObjName: 'report',
  },
  /**
   * @desc : 查询
   * @date : 2024/6/6 08:59
   * @author : 刘尧
   */
  getData(params) {
    return this.excute(this.data.service, this.data.service.getCusRecPayReportItem, params);
  },
    /**
   * @desc : 处理接口返回数据
   * @date : 2024/2/1 15:49
   * @author : 姜永辉
   */
  handleSearchData(tableData) {
    console.log('tableData', tableData);
    this.setData({
      cardDate: tableData
    })
  },
  /**
   * @desc : 设置查询参数
   * @date : 2024年6月6日
   * @author : 刘尧
   */
  setSearchParams(params) {
    let otherSearchParams = this.data.otherSearchParams;
    if (otherSearchParams) {
      // 把其他查询条件拼到查询实体上去
      params = Object.assign(params, otherSearchParams);
    }
    return params;
  },
})